require 'box/pack'

module Box

  # = Zip Package Service
  #
  class Zip < Pack

    #
    def self.clio_setup(usage)
      command('zip') do
        desc 'generate zip package'
      end
    end

    def extension ; '.zip' ; end

    # Create a zip source package.
    #
    def package_build
      #unless package_needed? or force?
      #  report_package_already_built(package_file)
      #  return
      #end

      status("zip -r #{package_file} .")

      return if dryrun?

      file = nil

      stage(extension)

      cd(temp_folder) do
        rm(package_file) if File.exist?(package_file)
        file = zip(stage_name)
      end

      #file = transfer(file, pack_folder)
      #report_package_built(file)

      return file
    end

    # Zip
    #
    #def zip(folder, file=nil, options={})
    #  raise ArgumentError if folder == '.*'
    #  file ||= File.basename(File.expand_path(folder)) + '.zip'
    #  cmd = "zip -rqu #{file} #{folder}"
    #  puts   cmd if     safe? #or verbose?
    #  system cmd unless safe? #or options[:noop]
    #  return File.expand_path(file)
    #end

  end

end

