# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "box"
  s.version = "1.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Thomas Sawyer"]
  s.date = "2009-11-16"
  s.description = "Box is a K.I.S.S packaging tool, building packages based\non a project's POM metadata and a MANIFEST."
  s.email = "http://googlegroups/group/proutils"
  s.executables = ["box"]
  s.extra_rdoc_files = ["MANIFEST", "TODO", "README.rdoc", "HISTORY", "COPYING"]
  s.files = ["bin/box", "MANIFEST", "TODO", "README.rdoc", "HISTORY", "COPYING"]
  s.homepage = "http://proutils.github.com/box"
  s.rdoc_options = ["--title", "Box API"]
  s.require_paths = ["lib", "plug"]
  s.rubyforge_project = "box"
  s.rubygems_version = "1.8.11"
  s.summary = "Box is a K."
  s.has_rdoc = true

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<pom>, [">= 0"])
      s.add_runtime_dependency(%q<path>, [">= 0"])
      s.add_runtime_dependency(%q<mast>, [">= 0"])
    else
      s.add_dependency(%q<pom>, [">= 0"])
      s.add_dependency(%q<path>, [">= 0"])
      s.add_dependency(%q<mast>, [">= 0"])
    end
  else
    s.add_dependency(%q<pom>, [">= 0"])
    s.add_dependency(%q<path>, [">= 0"])
    s.add_dependency(%q<mast>, [">= 0"])
  end
end
