require "box/packs/gem"
require "box/packs/gz"
require "box/packs/zip"

module Box
  VERSION = "1.4"  #:till: VERSION = "<%= version %>"

  #
  def self.package(location, types, options)
    type_classes = types.map do |type|
      const_get(type.to_s.capitalize)
    end
    type_classes.each do |typeclass|
      typeclass.new(location, options).package
    end
  end

end

