require 'box/pack'

module Box

  # = Gzipped Tarball Package
  #
  class Gz < Pack

    #
    def self.clio_setup(usage)
      command('gz') do
        desc 'generate tarball package'
      end
    end

    def initialize(location, options)
      super
      # ...
    end

    def extension ; '.tar.gz' ; end

    # Create a tar gzip source package.
    #
    def package_build
      #unless package_needed? or force?
      #  report_package_already_built(package_file)
      #  return
      #end

      status("tar -cxf #{package_file}")

      return if dryrun?

      file = nil

      stage(extension)

      cd(temp_folder) do
        rm(package_file) if package_file.exist?
        file = tar_gzip(stage_name)
      end

      #file = transfer(file, pack_folder)
      #report_package_built(file)

      return file
    end

  end

end

